/*Orion Lawlor's Simple STL Examples, olawlor@acm.org
Shows how to use std::ostream formatter methods.
*/
#include <iostream>
#include <string>

int main()
{
	int i=2;
	double d=3.4567890123456789;
	
	std::cout<<"default: "<<d<<std::endl;
	
	// Use ostream formatter methods:
	std::cout.precision(10);
	std::cout<<"10-digit: "<<d<<std::endl;
	std::cout.precision(20);
	std::cout<<"20-digit: "<<d<<std::endl;
	
	return 0;
}
/*<@>
<@> ******** Program output: ********
<@> default: 3.45679
<@> 10-digit: 3.456789012
<@> 20-digit: 3.4567890123456788132
<@> */
